Bug 257350 - devel/delve: Update to 1.7.0
Summary: devel/delve: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://github.com/go-delve/delve/blo...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-23 10:48 UTC by Dmitry Wagin
Modified: 2021-07-25 00:46 UTC (History)
1 user (show)

See Also:


Attachments
delve.diff (2.86 KB, patch)
2021-07-23 10:48 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2021-07-23 10:48:06 UTC
Created attachment 226631 [details]
delve.diff

Update to 1.7.0

https://github.com/go-delve/delve/blob/master/CHANGELOG.md#170-2021-07-19
Comment 1 commit-hook freebsd_committer 2021-07-25 00:45:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=802c15cc28758d68ec5c854911a8f3d00ec19d2b

commit 802c15cc28758d68ec5c854911a8f3d00ec19d2b
Author:     Dmitry Wagin <dmitry.wagin@ya.ru>
AuthorDate: 2021-07-25 00:44:10 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-25 00:44:10 +0000

    devel/delve: Update to 1.7.0

    Changelog:      https://github.com/go-delve/delve/blob/master/CHANGELOG.md#170-2021-07-19

    PR:             257350
    Approved by:    lwhsu (mentor, implicit)

 devel/delve/Makefile                               |  2 +-
 devel/delve/distinfo                               |  6 +--
 .../patch-pkg_proc_native_proc__freebsd.c (gone)   | 52 ----------------------
 .../patch-pkg_proc_native_proc__freebsd.h (gone)   | 10 -----
 4 files changed, 4 insertions(+), 66 deletions(-)
Comment 2 Guangyuan Yang freebsd_committer 2021-07-25 00:46:25 UTC
Committed, thanks!